Bug 78939 - Remove the remaining uses of CSSStyleDeclaration in Editor
: Remove the remaining uses of CSSStyleDeclaration in Editor
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Ryosuke Niwa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 15:11 PST by Ryosuke Niwa
Modified: 2012-02-22 15:39 PST (History)
6 users (show)

See Also:


Attachments
Patch (43.08 KB, patch)
2012-02-17 15:12 PST, Ryosuke Niwa
enrica: review+
Details | Formatted Diff | Diff
Updated for ToT (40.85 KB, patch)
2012-02-21 11:19 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
GTK and Windows build fixes (41.48 KB, patch)
2012-02-21 12:00 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2012-02-17 15:11:38 PST
Remove the remaining uses of CSSStyleDeclaration in Editor
Comment 1 Ryosuke Niwa 2012-02-17 15:12:45 PST
Created attachment 127663 [details]
Patch
Comment 2 Ryosuke Niwa 2012-02-21 10:44:38 PST
Comment on attachment 127663 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=127663&action=review

> Source/WebCore/ChangeLog:8
> +        No new tests. (OOPS!)

Oops, this comment should go away.
Comment 3 Ryosuke Niwa 2012-02-21 11:19:36 PST
Created attachment 128005 [details]
Updated for ToT
Comment 4 Philippe Normand 2012-02-21 11:23:46 PST
Comment on attachment 128005 [details]
Updated for ToT

Attachment 128005 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/11556199
Comment 5 Ryosuke Niwa 2012-02-21 12:00:03 PST
Created attachment 128015 [details]
GTK and Windows build fixes
Comment 6 Enrica Casucci 2012-02-21 12:04:45 PST
Comment on attachment 127663 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=127663&action=review

Looks good to me. Great job, BTW :-). Please make sure you check the EWS before landing. I saw you already fixed some build breakage.

> Source/WebCore/ChangeLog:22
> +        (Editor):

The 2 lines above don't add any information.

> Source/WebCore/ChangeLog:35
> +        (EditorClient):

Ditto.

> Source/WebKit/mac/WebView/WebFrame.mm:802
> +    // FIXME: We shouldn't have to create a copy here.

This comment should be as detailed as the one on line 4356 of WebHTMLView.mm.

> Source/WebKit/mac/WebView/WebHTMLView.mm:4658
> +            // FIXME: We shouldn't have to make a copy here.

Same here.

> Source/WebKit/mac/WebView/WebView.mm:5528
> +    // FIXME: We shouldn't have to make a copy here.

Same here.
Comment 7 WebKit Review Bot 2012-02-22 01:14:43 PST
Comment on attachment 128015 [details]
GTK and Windows build fixes

Clearing flags on attachment: 128015

Committed r108462: <http://trac.webkit.org/changeset/108462>
Comment 8 WebKit Review Bot 2012-02-22 01:14:48 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Ryosuke Niwa 2012-02-22 15:39:35 PST
Committed r108562: <http://trac.webkit.org/changeset/108562>